# -*- encoding: utf-8 -*-
#
=begin
CRX Package Manager API

API for interacting with the CRX Package Manager in AEM.

OpenAPI spec version: 6.2.0
Contact: bryan.stopp@gmail.com
Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

$:.push File.expand_path("../lib", __FILE__)
require "crx_packmgr_api_client/version"

Gem::Specification.new do |s|
  s.name        = "crx_packmgr_api_client"
  s.version     = CrxPackageManager::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Swagger-Codegen"]
  s.email       = ["bryan.stopp@gmail.com"]
  s.homepage    = "https://github.com/bstopp/crx-packmgr-api-client-gem"
  s.summary     = "CRX Package Manager API Ruby Gem"
  s.description = "API for interacting with the CRX Package Manager in AEM."
  s.license     = "Apache-2.0"
  s.required_ruby_version = ">= 1.9"

  s.add_runtime_dependency 'typhoeus', '~> 1.3'
  s.add_runtime_dependency 'json', '~> 2.0'
  s.add_runtime_dependency 'xml-simple', '~>1.1'

  s.add_development_dependency 'rspec', '~> 3.8'
  s.add_development_dependency 'vcr', '~> 5.0'
  s.add_development_dependency 'webmock', '~> 3.6'
  s.add_development_dependency 'autotest', '~> 5.0'
  s.add_development_dependency 'autotest-rails-pure', '~> 4.1'
  s.add_development_dependency 'autotest-growl', '~> 0.2'
  s.add_development_dependency 'autotest-fsevent', '~> 0.2'

  s.add_development_dependency 'rubocop', '~>0', '>=0.49.0'
  s.add_development_dependency 'simplecov', '~>0'
  s.add_development_dependency 'codeclimate-test-reporter', '~>1.0'

  s.add_development_dependency 'gem-release', '~>2.0'

  s.files         = `find *`.split("\n").uniq.sort.select{|f| !f.empty? && !f.end_with?('.gem') }
  s.test_files    = `find spec/*`.split("\n")
  s.executables   = []
  s.require_paths = ["lib"]
end
